[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomRadioGroup.ReadState

Reads the values for the control and checks whether ItemIndex is valid.

## Declaration

Source position: extctrls.pp line 756

`protected procedure TCustomRadioGroup.ReadState(`
`Reader: TReader`
`); override;`

## Arguments

`Reader` |  | TFiler instance used to read the values for the control.

## Description

ReadState is used when the component is read using the LCL component streaming mechanism. ReadState ensures that ItemIndex contains a value that is valid for the defined Items in the grouped control.

## See also

TComponent